package com.citygis.web.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TabSystemMsg对象", description="")
public class TabSystemMsg implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    @ApiModelProperty(value = "数据源应用系统")
    private String systemName;

    @ApiModelProperty(value = "表单名称")
    private String tableName;

    @ApiModelProperty(value = "表名称")
    private String tableEnglishName;

    @ApiModelProperty(value = "接入方式")
    private String accessManner;

    @ApiModelProperty(value = "更新方式")
    private String updateType;

    @ApiModelProperty(value = "状态：0不正常1正常")
    private Integer status;

    @ApiModelProperty(value = "业务量")
    private String ps;

    @ApiModelProperty(value = "数量")
    private String count;


}
