package com.citygis.web.controller;


import com.citygis.common.core.controller.BaseController;
import com.citygis.common.core.page.TableDataInfo;
import com.citygis.web.domain.TabSqlExecute;
import com.citygis.web.service.ITabSqlExecuteService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author citygis
 * @since 2025-01-08
 */
@Api(tags = "安全审计")
@RestController
@RequestMapping("/web/tab-sql-execute")
public class TabSqlExecuteController extends BaseController {

    @Resource
    ITabSqlExecuteService tabSqlExecuteService;

    @ApiOperation("安全审计列表")
    @GetMapping("/getTabSqlExecuteList")
    public TableDataInfo getTabSqlExecuteList(TabSqlExecute tabSqlExecute) {
        startPage();
        return getDataTable(tabSqlExecuteService.getSqlResult(tabSqlExecute));
    }

}

