package com.citygis.web.service;

import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabAccessFeedback;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 接入反馈表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-07
 */
public interface ITabAccessFeedbackService extends IService<TabAccessFeedback> {

    AjaxResult getTabAccessFeedbackById(Long id) throws NoSuchMethodException;

    AjaxResult insertTabAccessFeedback(TabAccessFeedback tabAccessFeedback);

    AjaxResult updateTabAccessFeedbackById(TabAccessFeedback tabAccessFeedback) throws NoSuchMethodException;

    AjaxResult falseDeleteTabAccessFeedbackById(Long id) throws NoSuchMethodException;

}
